no puedo encontrar autoconf. compruebe su instalación de autoconf Xampp en CentOS

2 minutos de lectura

avatar de usuario
Lakshmikadan

Obteniendo otro error al configurar memcaed con php en XAMPP en CentOS

#  /opt/lampp/bin/phpize
Configuring for:
PHP Api Version:         20131106
Zend Module Api No:      20131226
Zend Extension Api No:   220131226

No se puede encontrar autoconf. Verifique su instalación de autoconf y la variable de entorno $PHP_AUTOCONF. Luego, vuelva a ejecutar este script.

¿Cómo resolverlo?

avatar de usuario
RASEL RANA

Usuarios de MAC

Puedes hacerlo fácilmente usando brew.

brew install autoconf

  • Esta forma está especialmente recomendada para usuarios de MacOSX.

    –Ignacio Segura

    31 mayo 2016 a las 21:58

  • Funciona también con MacPorts: port install autoconf.

    – tomasbedrich

    15 de febrero de 2017 a las 13:44

llegué aquí buscando una respuesta para estibador cuando usas linux alpino esto funcionó para mí (probé la solución @Dimitros pero no funcionó):

RUN apk --no-cache add pcre-dev ${PHPIZE_DEPS} \ 
  && pecl install xdebug \
  && docker-php-ext-enable xdebug \
  && apk del pcre-dev ${PHPIZE_DEPS}

  • ¡Esto funciona! simplemente no olvide seguir la documentación de la imagen acoplable It is strongly recommended that users use an explicit version number in their pecl install invocations to ensure proper PHP version compatibility

    –Alwin Kesler

    17 de enero de 2019 a las 22:19

  • Sigo recibiendo errores: el comando ‘/bin/sh -c apk add –no-cache pcre-dev ${PHPIZE_DEPS} && pecl install xdebug-2.6.0 && docker-php-ext-enable xdebug && apk del pcre- dev ${PHPIZE_DEPS}’ devolvió un código distinto de cero: 4

    –Marcelo Fonseca

    28 de junio de 2019 a las 18:03

  • Para mí esto fue suficiente: apk --no-cache add autoconf g++ make && pecl install xdebug && docker-php-ext-enable xdebug && rm -rf /tmp/pear; apk del autoconf g++ make; en php:8.0.2-alpine imagen acoplable

    – piotrekkr

    12 de febrero de 2021 a las 13:44

  • @piotrekkr Gracias! Esta solución funciona muy bien dentro de un contenedor de docker-image php:8.0.20RC1-zts-alpine3.16

    – Jack Le Emmerdeur

    27 de mayo a las 23:12


avatar de usuario
Lakshmikadan

Necesitas instalar autoconf

Para CentOS:

# yum install autoconf

para Ubuntu:

# apt-get install autoconf

para fedora 24-27:

   # dnf install autoconf

  • Esto me ahorró mucho tiempo. ¡Gracias!

    – Ishimwe Aubain Consolador

    4 de noviembre de 2020 a las 13:02

avatar de usuario
dimitrios desyllas

Para Alpine Linux el apk add característica tiene (para la limpieza) un concepto de paquetes virtuales usando el --virtual o -t cambiar. Un ejemplo de uso de esto sería eliminar un grupo de dependencias de compilación de una sola vez:

apk add --no-cache --update --virtual buildDeps autoconf \
 && pecl install xdebug \
 && docker-php-ext-enable xdebug \
 && apk del buildDeps

Referencia: https://github.com/gliderlabs/docker-alpine/blob/master/docs/usage.md

Para openSuSE:

zypper install autoconf

avatar de usuario
Baifuwa

Resolví el problema con “yum install autoconf” en CentOS 7

¿Ha sido útil esta solución?